---
updatedAt: 2025-09-18T21:52:56.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# debug_traceBlockByNumber

Replays all transactions that were included in this block by block number.

> 📘 Supported on Avalanche C-Chain (mainnet) only.

## Parameters

* `blockHash`EQUIRED] - - The block hash
* `tracer`EQUIRED] - - The tracer type. Please refer to Geth implementation for more tracer type.

## Returns

This returns based on callTracer. Please refer to Geth implementation for more return data fields.

* `Object`- Full trace of the block.
  * `result`- Trace Object, which has the following fields:
    * `from`- The address the transaction is sent from
    * `to`- The address the transaction is directed to
    * `gas`- The gas provided for the transaction execution
    * `gasUsed`- The gasPrice used for each paid gas
    * `input`- The data sent along with the transaction
    * `output`- The output data
    * `type`- Type of the transaction
    * `value`- The value transferred in Wei, encoded as a hexadecimal

## API Endpoint

The format of an Avalanche C-Chain API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/rpc` - for RPC API\
`https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/avax` - for AVAX API

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/avalanche-c/ext/bc/C/rpc`\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/avalanche-c/ext/bc/C/avax`

## Example

**Request**

```
curl https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/rpc \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"debug_traceBlockByNumber","params":["0x1233174", {"tracer": "callTracer"}],"id": 0 }'
```

**Result**

```
```